// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef STATEMACHINE_STRUCTFORTHREAD_T_H
#define STATEMACHINE_STRUCTFORTHREAD_T_H

/************************************************************
 StructForThread_t class header
 ************************************************************/

#include "statemachine/Pkg_statemachine.h"

#include "AnsiCLibrary/Pkg_AnsiCLibrary.h"

namespace statemachine {

/************************************************************/
/**
 * 
 */
class StructForThread_t {
public:

	/**
	 * 
	 */
	void *ptr;

	/**
	 * 
	 */
	unsigned int id;

	/**
	 * 
	 */
	char enter_mode;

	/**
	 * 
	 */
	ThreadFunctions func_type;

	/**
	 * 
	 */
	unsigned int duration;

	/**
	 * 
	 * @param ptr 
	 * @param id 
	 * @param enter_mode 
	 * @param func_type 
	 * @param duration 
	 */
	StructForThread_t(void * /*in*/ptr, unsigned int /*in*/id,
			char /*in*/enter_mode, ThreadFunctions /*in*/func_type,
			unsigned int /*in*/duration);

	/**
	 * 
	 */
	StructForThread_t();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace statemachine

/************************************************************
 End of StructForThread_t class header
 ************************************************************/

#endif
